Bug 501876 - liveinst: "Your / partition ... must be formatted as ext3."
liveinst: "Your / partition ... must be formatted as ext3."
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-05-21 04:19 EDT by Jens Petersen
Modified: 2009-05-26 10:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-26 10:07:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
livecd-creator-i386.log (218.30 KB, text/plain)
2009-05-21 10:35 EDT, James Laska
no flags Details
F11-Live-i686-20090522T0805.log (208.41 KB, text/plain)
2009-05-21 22:13 EDT, Jens Petersen
no flags Details

  None (edit)
Description Jens Petersen 2009-05-21 04:19:02 EDT
Description of problem:
When I try to install an F11 Live image I rolled myself from rawhide+updates
liveinst can't seem to autopartition.

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
0. (use livecd-tools to roll live spin)
1. boot image and try to install
Actual results:
The following errors occurred with your partitioning:

Your / partition does not match the the live image you are installing from.  It must be formatted as ext3.

This can happen if there is not enough space on your hard drive(s) for the installation. 

Press 'OK' to choose a different partitioning option.

Expected results:
Autopartitioning to Just Work.

Additional info:
also happened with -52 at least AFAICR.
Comment 1 Jeremy Katz 2009-05-21 10:27:13 EDT
What config did you use for your live image?  They should all be defaulting to ext4 now.

I'm not seeing a good (low-impact) place to tie in changing what the default fstype for the rootfs in the storage code, but am hunting further.
Comment 2 James Laska 2009-05-21 10:35:11 EDT
Created attachment 344971 [details]

Seeing this also while creating a test day live image using the procedure outlined at https://fedoraproject.org/wiki/QA/Test_Days/Live_Image.

Attaching livecd-creator output for review
Comment 3 Jeremy Katz 2009-05-21 12:45:05 EDT
Dug out a way to switch the defaults for autopart and sent that off for review although I'm not entirely sure we want to risk it in F11

jlaska's image had an ext3 /, though, which really shouldn't be happening with the defaults right now.  So still curious to hear from Jens :)
Comment 4 Jens Petersen 2009-05-21 21:53:48 EDT
(In reply to comment #3)
> jlaska's image had an ext3 /, though, which really shouldn't be happening with
> the defaults right now.  So still curious to hear from Jens :)  

I am creating my live images with livecd-tools-024-1.fc11 and spin-kickstarts.git
everything should be close to defaults but I can attach my .log, .ks and
commandline if it helps.  So is it livecd-tools?
Comment 5 Jens Petersen 2009-05-21 22:11:11 EDT
I am building on a box upgraded from f9 -> f10 -> f11 FWIW.
Comment 6 Jens Petersen 2009-05-21 22:13:55 EDT
Created attachment 345047 [details]
Comment 7 James Laska 2009-05-22 08:53:29 EDT
Side note: Release engineering generated RC images do not exhibit this problem (http://alt.fedoraproject.org/pub/alt/stage/f11-rc0.1/)
Comment 8 Jeremy Katz 2009-05-26 10:07:46 EDT
(In reply to comment #6)
> Created an attachment (id=345047) [details]
> F11-Live-i686-20090522T0805.log  

Unfortunately, the log doesn't say anything.  But from James's case, the image he had *was* actually ext3 and not ext4.  There could have been a bad e2fsprogs build in rawhide as I know sandeen was fiddling with some things to unbreak resizing.

I've got a fix so that autopartitioning follows the actual fs type of the live image (bbf767d27d7032d1afdd0ba05ad1897e3b5cb56c) but we're still debating if we want to put that into F12 or not and that's bug 502509.  

Going to close this on the hope that it was just a fluke e2fsprogs breaking image builds as ext4.  And we'll keep an eye on the "official" images to ensure they're coming out ext4

Note You need to log in before you can comment on or make changes to this bug.